routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'Frontend\PageController@landing')->name('landing');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/account/profile', 'ProfileController@show')->name('profile.show');
Route::put('/account/profile', 'ProfileController@update')->name('profile.update');
Route::put('/account/profile/user', 'ProfileController@updateUser')->name('profile.update.user');

Route::post('/buy/cart', 'Frontend\PageController@addToCart')->name('cart.add');
Route::get('/buy/cart', 'Frontend\PageController@indexCart')->name('cart.index');
Route::post('/buy/checkout/{tenant_id}', 'Frontend\PageController@checkoutStore')->name('checkout.store');
Route::post('/buy/cart/remove', 'Frontend\PageController@removeItemCart')->name('cart.remove');
Route::post('/buy/cart/update', 'Frontend\PageController@updateCart')->name('cart.update');

Route::group(['prefix' => 'main'], function () {
    Route::group(['middleware' => ['auth', 'role:cashier']], function () {
        Route::get('user', 'Backend\UserController@index')->name('user.index');
        Route::post('user', 'Backend\UserController@store')->name('user.store');
        Route::get('user/create', 'Backend\UserController@create')->name('user.create');
        Route::get('user/{id}/edit', 'Backend\UserController@edit')->name('user.edit');
        Route::put('user/{id}/update', 'Backend\UserController@update')->name('user.update');
        Route::delete('user/{id}', 'Backend\UserController@destroy')->name('user.destroy');
    
        Route::resource('tenant', 'Backend\TenantController', ['only' => ['index', 'show', 'create', 'store', 'update', 'edit']]);
        Route::post('tenant.verification', 'Backend\TenantController@verification')->name('tenant.verification');
        Route::resource('sale', 'Backend\SaleController', ['only' => ['index', 'show', 'update']]);
        Route::get('sale/{id}/pay', 'Backend\SaleController@pay')->name('sale.pay');
        Route::post('sale/{id}/pay', 'Backend\SaleController@payStore')->name('sale.pay.store');
    });

    Route::group(['middleware' => ['auth', 'role:tenant']], function () {
        Route::resource('product', 'Frontend\ProductController');
        Route::resource('sales', 'Frontend\SaleController', ['only' => ['index', 'show', 'update']]);
        Route::get('sales/{id}/process', 'Frontend\SaleController@process')->name('sales.process');
    });

});

app/Http/Controllers/Backend/SaleController.php
<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Crypt;
use Yajra\Datatables\Datatables;
use App\Tenant;
use App\Sale;
use App\SaleDetail;
use Session;
use Auth;

class SaleController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if ($request->ajax()) {

            $sales = Sale::with('cashier', 'tenant')->orderBy('id', 'DESC');

            if ($request->get('status') != null) {
                if ($request->status != 'all') {
                    $sales->where('status', $request->status);
                }
            }

            $sales = $sales->select('sales.*');

            return Datatables::of($sales)
                ->addIndexColumn()
                ->addColumn('action', function ($sale) {
                    return view('partials._action', [
                        'model'       => $sale,
                        'show_url'    => route('sale.show', $sale->id),
                        'pay_url'     => route('sale.pay', $sale->id)
                    ]);
                })
                ->escapeColumns([])
                ->make(true);
        }

        return view('backend.sales.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $sale = Sale::find($id);

        return view('backend.sales.show')->with(compact('sale'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $sale = Sale::find($id);
        $sale->cashier_id = Auth::user()->id;
        $sale->status = 10;
        $sale->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Transaksi ini berhasil dibatalkan"
        ]);

        return redirect()->route('sale.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function pay($id)
    {
        $sale = Sale::find($id);

        if ($sale->is_paid == 1){
            Session::flash("flash_notification", [
                "level" => "error",
                "message" => "Transaksi ini telah dibayar!"
            ]);

            return redirect()->route('sale.index');
        }

        return view('backend.sales.pay')->with(compact('sale'));
    }

    public function payStore(Request $request, $id)
    {
        $this->validate($request, [
            'paid' => 'required|numeric',
            'cashback' => 'required|numeric',
        ]);

        $sale = Sale::find($id);
        $sale->paid = $request->paid;
        $sale->cashback = $request->cashback;
        $sale->cashier_id = Auth::user()->id;
        $sale->is_paid = 1;
        $sale->status = 200;
        $sale->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Pembayaran berhasil, pesanan telah dilanjutkan ke penjual"
        ]);

        return redirect()->route('sale.index');
    }
}

app/Http/Controllers/Backend/TenantController.php
<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Crypt;
use Yajra\Datatables\Datatables;
use App\Tenant;
use App\User;
use Session;

class TenantController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if ($request->ajax()) {

            $tenants = Tenant::with('user');

            if ($request->get('is_verification') != null) {
                if ($request->is_verification != 'all') {
                    $tenants->where('is_verification', $request->is_verification);
                }
            }

            $tenants = $tenants->select('tenants.*');

            return Datatables::of($tenants)
                ->addIndexColumn()
                ->addColumn('action', function ($tenant) {
                    return view('partials._action', [
                        'model'       => $tenant,
                        'show_url'    => route('tenant.show', $tenant->id),
                        'edit_url'    => route('tenant.edit', $tenant->id),
                    ]);
                })
                ->escapeColumns([])
                ->make(true);
        }

        return view('backend.tenants.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $user = User::where('role', 'tenant')->whereDoesntHave('tenant')->get();
        return view('backend.tenants.create')->with(compact('user'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'name' => 'required|string|max:255',
            'user_id' => 'required|integer',
            'description' => 'required|string',
        ]);

        $tenant = new Tenant;
        $tenant->owner_id = $request->user_id;
        $tenant->name = $request->name;
        $tenant->slug = Tenant::generateSlug($request->name);
        $tenant->description = $request->description;

        if ($request->hasFile('image')) {
            // megnambil image yang diupload berikut ekstensinya
            $filename = null;
            $uploaded_image = $request->file('image');
            $extension = $uploaded_image->getClientOriginalExtension();
            // membuat nama file random dengan extension
            $filename = uniqid() . '.' . $extension;
            $destinationPath = public_path() . DIRECTORY_SEPARATOR . 'uploads' . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'tenant';
            // memindahkan file ke folder public/images
            $uploaded_image->move($destinationPath, $filename);

            // ganti field image dengan image yang baru
            $tenant->image = $filename;
        }
        $tenant->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Tenant berhasil didaftarkan"
        ]);

        return redirect()->route('tenant.show', $tenant->id);

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $tenant = Tenant::find($id);
        $id_crypt = Crypt::encrypt($id);
        return view('backend.tenants.show')->with(compact('tenant', 'id_crypt'));
    }

    public function verification(Request $request)
    {
        $id = Crypt::decrypt($request->tokenizer);

        $tenant = Tenant::find($id);
        $tenant->is_verification = 1;
        $tenant->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Tenant ini berhasil diverifikasi"
        ]);

        return redirect()->back();
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $tenant = Tenant::find($id);
        return view('backend.tenants.edit')->with(compact('tenant'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'name' => 'required|string|max:255',
            'description' => 'required|string',
            'status' => 'required|integer',
        ]);

        $tenant = Tenant::find($id);
        $tenant->name = $request->name;
        if ($tenant->name != $request->name) {
            $tenant->slug = Tenant::generateSlug($request->name);
        }
        $tenant->description = $request->description;
        $tenant->status = $request->status;

        if ($request->hasFile('image')) {
            // megnambil image yang diupload berikut ekstensinya
            $filename = null;
            $uploaded_image = $request->file('image');
            $extension = $uploaded_image->getClientOriginalExtension();
            // membuat nama file random dengan extension
            $filename = uniqid() . '.' . $extension;
            $destinationPath = public_path() . DIRECTORY_SEPARATOR . 'uploads' . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'tenant';
            // memindahkan file ke folder public/images
            $uploaded_image->move($destinationPath, $filename);

            // ganti field image dengan image yang baru
            $tenant->image = $filename;
        }
        $tenant->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Tenant berhasil diubah"
        ]);

        return redirect()->route('tenant.index', $tenant->id);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/Frontend/SaleController.php
<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Crypt;
use Yajra\Datatables\Datatables;
use App\Tenant;
use App\Sale;
use App\SaleDetail;
use Session;
use Auth;

class SaleController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $tenant_id = \Auth::user()->tenant->id;

        if ($request->ajax()) {

            $sales = Sale::with('cashier', 'tenant')->where('tenant_id', $tenant_id);

            if ($request->get('status') != null) {
                if ($request->status != 'all') {
                    $sales->where('status', $request->status);
                }
            }

            $sales = $sales->select('sales.*');

            return Datatables::of($sales)
                ->addIndexColumn()
                ->addColumn('action', function ($sale) {
                    return view('partials._action', [
                        'model'       => $sale,
                        'show_url'    => route('sales.show', $sale->id),
                        'process_url'    => route('sales.process', $sale->id)
                    ]);
                })
                ->escapeColumns([])
                ->make(true);
        }

        $tmp = Sale::where('tenant_id', $tenant_id)->get();

        $data = [
            'pending' => $tmp->where('status', 100)->count(),
            'paid' => $tmp->where('status', 200)->count(),
            'done' => $tmp->where('status', 300)->count(),
            'reject' => $tmp->where('status', 10)->count()
        ];
        
        return view('frontend.sales.index')->with(compact('data'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $sale = Sale::find($id);

        return view('frontend.sales.show')->with(compact('sale'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function process($id)
    {
        $sale = Sale::find($id);

        return view('frontend.sales.process')->with(compact('sale'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $sale = Sale::find($id);
        $sale->status = 300;
        $sale->save();

        $customer = $sale->customer_name;
        $tenant = $sale->tenant->name;
        $invoice = $sale->invoice;

        $message = "Hallo $customer\nPesanan anda dari $tenant telah siap.\nSilahkan diambil sendiri ya.\nNo.Invoice : $invoice";
        $phone = preg_replace('/^0/','+62',$sale->customer_phone);

        Session::flash(
            "order_notification",
            [
                "message" => $message,
                "phone" => $phone
            ]
        );

        Session::flash(
            "flash_notification", [
                "level" => "success",
                "message" => "Transaksi ini berhasil diproses"
            ]
        );

        return redirect()->route('sales.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/backend/sales/index.blade.php
@extends('adminlte::page')

@section('title', config('app.name') . ' -')
@section('title_postfix', 'Transaksi')

@section('content_header')
  <div class="row mb-2">
    <div class="col-sm-6">
      <h1>Transaksi</h1>
    </div>
    <div class="col-sm-6">
      <ol class="breadcrumb float-sm-right">
        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
        <li class="breadcrumb-item active">Transaksi</li>
      </ol>
    </div>
  </div>

  <div class="d-sm-flex align-items-center justify-content-start">
    {{-- <a class="btn btn-sm btn-secondary mr-auto" href="{{ route('user.create') }}"><i class="fa fa-plus"></i> Buat Akun</a>  --}}
    <div class="form-inline ml-auto">
      <label>Filter Status</label>
      <select name="status" class="form-control-sm ml-2">
        <option value="all">Semua</option>
        <option value="100">Menunggu Dibayar</option>
        <option value="200">Dibayar</option>
        <option value="10">Dibatalkan</option>
      </select>
      <button class="btn btn-sm btn-secondary ml-2" id="btn-filter"><i class="fas fa-filter"></i></button>
    </div>
  </div>
@endsection

@section('content')
  <div class="card">
    <div class="card-header">
      <h3 class="card-title">List Transaksi</h3>
      <div class="card-tools">
        <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse">
          <i class="fas fa-minus"></i></button>
        <button type="button" class="btn btn-tool" data-card-widget="remove" data-toggle="tooltip" title="Remove">
          <i class="fas fa-times"></i></button>
      </div>
    </div>
    <div class="card-body">
      <div class="table-responsive">
        <table class="table table-bordered datatable">
          <thead>                                 
            <tr>
              <th>#</th>
              <th>Invoice</th>
              <th>Tenant</th>
              <th>Customer</th>
              <th>Total Bayar</th>
              <th>Status</th>
              <th>Aksi</th>
            </tr>
          </thead>
          <tbody></tbody>
        </table>
      </div>
    </div>
  </div>
@endsection

@section('js')
  <script>
      $(document).ready(function() {
        $('.datatable').DataTable({
            processing: true,
            serverSide: true,
            autoWidth: false,
            language: {
              url: '{{ asset('vendor/datatables/lang/Indonesian.json') }}'
            },
            ajax: {
              url: '{{ route('sale.index') }}',
              data: function (d) {
                d.status = $('select[name=status]').val()
              }
            },
            columns: [
              {data: 'DT_RowIndex', name: 'DT_RowIndex', orderable: false, searchable: false},
              {data: 'invoice', name: 'invoice'},
              {data: 'tenant.name', name: 'tenant.name'},
              {data: 'customer_name', name: 'customer_name', defaultContent : '-'},
              {data: null, name: 'price_total', render: function ( data, type, row ) {
                return 'Rp ' + numberFormat(data.price_total);
              }},
              {data: null, name: 'status', render: function ( data, type, row ) {
                var badge = 'badge-warning';
                if (data.status == 200){
                  badge = 'badge-success';  
                } else if (data.status == 300){
                  badge = 'badge-primary';  
                } else if (data.status == 10){
                  badge = 'badge-danger';  
                } 
                return '<span class="badge '+badge+'">'+data.display_status+'</span>';
              }},
              {data: 'action', name: 'action', orderable: false, searchable: false},
            ]
        });

        $('#btn-filter').click(function(){
          $('.datatable').DataTable().draw(true);
        });

        $(document).on('click','.js-submit-confirm', function(e){
            e.preventDefault();
            swal({
              title: 'Apakah anda yakin ingin menghapus?',
              text: 'Data yang sudah dihapus, tidak dapat dikembalikan!',
              icon: 'warning',
              buttons: true,
              dangerMode: true,
            })
            .then((willDelete) => {
              if (willDelete) {
                $(this).closest('form').submit();
              } 
            });
        });
    });

    function numberFormat(x) {
      return x.toString().replace(/\B(?<!\.\d*)(?=(\d{3})+(?!\d))/g, ".");
    }
  </script>
  @include('partials._toast')
@endsection

resources/views/backend/sales/show.blade.php
@extends('adminlte::page')

@section('title', config('app.name') . ' -')
@section('title_postfix', 'Pengguna')

@section('content_header')
  <div class="row mb-2">
    <div class="col-sm-6">
      <h1>Transaksi</h1>
    </div>
    <div class="col-sm-6">
      <ol class="breadcrumb float-sm-right">
        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
        <li class="breadcrumb-item"><a href="{{ route('sale.index') }}">Transaksi</a></li>
        <li class="breadcrumb-item active">Edit Transaksi</li>
      </ol>
    </div>
  </div>
@endsection

@section('content')
  <div class="row">
    <div class="col-md-3">
      <div class="card">
        <div class="card-header">
          Informasi Order
        </div>
        <div class="card-body">
          <form action="{{ route('sale.update', $sale->id) }}" method="POST">
            @csrf
            @method('patch')
            <div class="form-group {{ $errors->has('name') ? ' has-error' : '' }}">
              <label for="name" class="d-block">Nama</label>
              <input type="text" id="customer_name" class="form-control @if ($errors->has('name')) is-invalid @endif" value="{{ $sale->customer_name }}" disabled>
              @if ($errors->has('name'))
                <div class="invalid-feedback">
                  <strong>{{ $errors->first('name') }}</strong>
                </div>
              @endif
            </div>
            <div class="form-group {{ $errors->has('phone') ? ' has-error' : '' }}">
              <label for="phone" class="d-block">Nomor Whatsapp</label>
              <input type="number" id="customer_phone" class="form-control @if ($errors->has('phone')) is-invalid @endif" value="{{ $sale->customer_phone }}" disabled>
              @if ($errors->has('phone'))
                <div class="invalid-feedback">
                  <strong>{{ $errors->first('phone') }}</strong>
                </div>
              @endif
            </div>
            <div class="form-group {{ $errors->has('note') ? ' has-error' : '' }}">
              <label for="note" class="d-block">Catatan</label>
              <textarea id="customer_note" class="form-control @if ($errors->has('note')) is-invalid @endif" rows="2" disabled>{{ $sale->customer_note }}</textarea>
              @if ($errors->has('note'))
                <div class="invalid-feedback">
                  <strong>{{ $errors->first('note') }}</strong>
                </div>
              @endif
            </div>
            <div class="form-group {{ $errors->has('status') ? ' has-error' : '' }}">
              <label for="status" class="d-block">Status</label>
              <input id="customer_status" class="form-control @if ($errors->has('status')) is-invalid @endif" value="{{ $sale->display_status }}" disabled>
              @if ($errors->has('status'))
                <div class="invalid-feedback">
                  <strong>{{ $errors->first('status') }}</strong>
                </div>
              @endif
            </div>
            @if ($sale->status == 100)
              <div class="form-group">
                <button type="submit" class="btn btn-danger btn-block"><i class="fa fa-times"></i> Batalkan transaksi ini</button>
              </div>
            @endif
          </form>
        </div>
      </div>
    </div>

    <div class="col-md-9">
      <div class="card">
        <div class="card-header">
          Beli dari : &nbsp;<strong>{{ $sale->tenant->name }}</strong>
        </div>
        <div class="card-body p-0">
          <div class="table-responsive">
            <table class="table table-hover shopping-cart-wrap">
              <thead class="text-muted">
                <tr>
                  <th scope="col">Nama Item</th>
                  <th scope="col" width="150">Jumlah</th>
                  <th scope="col" width="180" class="text-right">Total Harga</th>
                </tr>
              </thead>
              <tbody>
                @php $subtotal = 0; @endphp
                @foreach ($sale->details as $item)
                  @php
                    $price_total = ((int) $item->price) * $item->qty;
                    $subtotal += $price_total;
                  @endphp
                  <tr>
                    <td>
                      <figure class="media mt-2">
                        <div class="img-wrap"><img src="{{ asset('uploads/images/products/'.$item->food->image) }}" class="center-cropped img-rounded"></div>
                        <figcaption class="media-body">
                          <h6 class="title text-truncate">{{ $item->food->name }}</h6>
                          <dl class="param param-inline small text-danger">
                            <dt>Harga : </dt>
                            <dd>Rp {{ rupiah((int) $item->price) }}</dd>
                          </dl>
                        </figcaption>
                      </figure> 
                    </td>
                    <td class="align-middle"> 
                      <span class="text-success text-bold">{{ $item->qty }}</span>
                    </td>
                    <td class="align-middle text-right"> 
                      <div class="price-wrap"> 
                        <var class="price">Rp {{ rupiah($price_total) }}</var> 
                      </div>
                    </td>
                  </tr>
                @endforeach
              </tbody>
              <tfoot>
                @if ($sale->details)
                  <tr>
                    <th class="text-right" colspan="2">Total</th>
                    <td class="text-right" colspan="2">
                      <div class="price-wrap"> 
                        <var class="price mr-3">Rp {{ rupiah($subtotal) }}</var> 
                      </div>
                    </td>
                  </tr>
                @endif
              </tfoot>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
@endsection

@section('css')
    <style>
      .center-cropped {
        background-position: center center;
        background-repeat: no-repeat;
        overflow: hidden;
        height: 50px;
        width: 65px;
      }

      .param {
          margin-bottom: 7px;
          line-height: 1.4;
      }
      .param-inline dt {
          display: inline-block;
      }
      .param dt {
          margin: 0;
          margin-right: 7px;
          font-weight: 600;
      }
      .param-inline dd {
          vertical-align: baseline;
          display: inline-block;
      }

      .param dd {
          margin: 0;
          vertical-align: baseline;
      } 

      .shopping-cart-wrap .price {
          color: #007bff;
          font-size: 15px;
          font-weight: bold;
          margin-right: 5px;
          display: block;
      }
      var {
          font-style: normal;
      }

      .media img {
          margin-right: 1rem;
      }
      .img-sm {
          width: 90px;
          max-height: 75px;
          object-fit: cover;
      }
    </style>
@endsection

@section('js')
  <script>
    $(document).ready(function () {
      bsCustomFileInput.init()
      $('.select2').select2();
    })

  </script>
@endsection